View Issue Details

IDProjectCategoryLast Update
0021961AI War 2[All Projects] SuggestionDec 3, 2019 4:21 pm
ReporterdonblasAssigned Todonblas 
Severityminor 
Status resolvedResolutionfixed 
Product Version1.002 ARSes, Instigators, and Tech Vaults, Oh My 
Fixed in Version1.011 SuperCat Swats Back 
Summary0021961: Escape to close dialogs
DescriptionBringing up a dialog, such as "manage fleets", should be dismissable by a keyboard escape. Right now it does that, but it also brings up the main system menu.

I wish it would require two escapes when you have a dialog up, the first kills the dialog, the second gives you system menu.
TagsNo tags attached.

Activities

x4000Bughunter

Dec 3, 2019 4:21 pm

administrator   ~0054781

Thanks! Your fix proposed by email worked great. :)

* Fix to the bug where hitting the escape key while in certain windows (like the fleet management window, hack choices, fleet ship line swapping, etc) was not just closing the window, but was also opening the escape menu.

Issue History

Date Modified Username Field Change
Oct 26, 2019 10:44 pm donblas New Issue
Dec 2, 2019 9:10 pm donblas Assigned To => donblas
Dec 2, 2019 9:10 pm donblas Status new => assigned
Dec 3, 2019 4:21 pm x4000Bughunter Status assigned => resolved
Dec 3, 2019 4:21 pm x4000Bughunter Resolution open => fixed
Dec 3, 2019 4:21 pm x4000Bughunter Fixed in Version => 1.011 SuperCat Swats Back
Dec 3, 2019 4:21 pm x4000Bughunter Note Added: 0054781